### Method

# Gimp Image add_sample_point

since: 2.10

#### Declaration [src]

    guint
    gimp_image_add_sample_point (
      GimpImage* image,
      gint position_x,
      gint position_y
    )

#### Description [src]

Add a sample point to an image.

This procedure adds a sample point to an image. It takes the input image and the position of the new sample points as parameters. It returns the sample point ID of the new sample point.

Available since: 2.10

#### Parameters

`position_x`

  Type: `gint`

  The sample point’s x-offset from left of image.

`position_y`

  Type: `gint`

  The sample point’s y-offset from top of image.

#### Return value

Type: `guint`

The new sample point.